List Cloud Function Runs
curl --request GET \
--url https://api.getnexor.ai/api/public/cloud-functions/runs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/cloud-functions/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/cloud-functions/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"function_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"function_name": "<string>",
"trigger_event": "<string>",
"status": "success",
"duration_ms": 123,
"log_count": 123,
"error": "<unknown>",
"effects": [
"<unknown>"
],
"result": "<unknown>",
"has_result": true,
"lead_id": "<string>",
"lead_name": "<string>",
"lead_email": "<string>",
"sample_label": "<string>",
"ran_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"page": 123,
"limit": 123,
"success": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}List Cloud Function Runs
This operation lets you list cloud function runs for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
GET
/
cloud-functions
/
runs
List Cloud Function Runs
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Query Parameters
Required range:
x >= 0Required range:
1 <= x <= 100Filter by function.
Available options:
success, error, timeout Last modified on September 8, 2026
⌘I